MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028360Open CASCADE[OCCT] OCCT:DRAWpublic2017-01-16 18:212017-09-29 16:28
Reporterduv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028360: Draw Harness - access for DRAW TCL interpreter needed for custom applications
DescriptionIt may be helpful for external applications to use some of DRAW functionality. In order to achieve it TCL interpreter should be exposed in public C++ API.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0062648)
git (administrator)
2017-01-16 18:25

Branch CR28360 has been created by duv.

SHA-1: 9811a3fabb13e5a6e3469911ffdf2f7dde114a7f


Detailed log of new commits:

Author: duv
Date: Mon Dec 26 22:10:50 2016 +0300

    0028360: DRAW: Access for DRAW TCL interpreter needed for custom applications
(0062649)
duv (developer)
2017-01-16 18:25

Dear kgv,

Please review the patch.
(0062653)
kgv (developer)
2017-01-16 18:47
edited on: 2017-01-16 18:48

+Draw_Interpretor* Draw::GetDrawInterpretor()

Proposed name does not follows name conventions (e.g. it would be better DrawInterpretor()).

And since we are introducing regular interface to this variable,
it makes sense updated other places in OCCT using this variable through "extern Draw_Interpretor theCommands;" style.

Please also correct settings in your git client.

(0062669)
abv (manager)
2017-01-17 08:30

I do not fully agree: IMHO, it is good style to start accessor names with "Get" -- this is more clear. Rather "Draw" can be omitted in the method name, "Draw::GetInterpretor" is easier to read.
(0062692)
git (administrator)
2017-01-17 12:29

Branch CR28360_1 has been created by duv.

SHA-1: 7e5100518a47c69bafed3a4d9b532f10c2bd9c1d


Detailed log of new commits:

Author: duv
Date: Mon Dec 26 22:10:50 2016 +0300

    0028360: DRAW: Access for DRAW TCL interpreter needed for custom applications
(0062693)
git (administrator)
2017-01-17 12:32

Branch CR28360_1 has been updated forcibly by duv.

SHA-1: 133314c2455c5ecc637d7e54d23a7591d7709c9c
(0062694)
duv (developer)
2017-01-17 12:50

Dear kgv,

Please review the patch in branch CR28360_1.
(0062699)
kgv (developer)
2017-01-17 13:23

> And since we are introducing regular interface to this variable,
> it makes sense updated other places in OCCT using this variable
> through "extern Draw_Interpretor theCommands;" style.

> Please also correct settings in your git client.
(0062833)
git (administrator)
2017-01-20 14:32

Branch CR28360_2 has been created by duv.

SHA-1: 3fa7c344e4898063ab1da091a6b56f03230ce997


Detailed log of new commits:

Author: duv
Date: Tue Jan 17 12:32:07 2017 +0300

    0028360: DRAW: Access for DRAW TCL interpreter needed for custom applications
    
    Components of DRAW now use interpreter with static method Draw::GetInterpretor() instead of shared global variable
(0062834)
duv (developer)
2017-01-20 14:34

Dear kgv,

Please review the patch in branch CR28360_2.
(0062848)
kgv (developer)
2017-01-20 16:34

Please drop unrelated formatting changes from the patch.
(0063384)
git (administrator)
2017-02-03 12:30

Branch CR28360_3 has been created by duv.

SHA-1: 2d457c9e5edcc584973ea99c6d0d8fd0c3261a65


Detailed log of new commits:

Author: duv
Date: Fri Feb 3 12:13:43 2017 +0300

    0028360: DRAW: Access for DRAW TCL interpreter needed for custom applications
    
    Components of DRAW now use interpreter with static method Draw::GetInterpretor() instead of shared global variable
(0063385)
kgv (developer)
2017-02-03 12:32

Please test the patch.
(0063415)
git (administrator)
2017-02-03 17:13

Branch CR28360_3 has been updated forcibly by apv.

SHA-1: 1c7cd19c14276329744baef40f301a82a2b75ad3
(0063416)
apv (tester)
2017-02-03 17:14

Branch CR28360_3 has been rebased on the current master
(0063462)
apv (tester)
2017-02-06 15:56

Dear BugMaster,

Branch CR28360_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1c7cd19c14276329744baef40f301a82a2b75ad3

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1201

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91553904 / 91288369 [+0.29%]
Total CPU difference: 19597.74000000034 / 19662.570000000327 [-0.33%]

Testing on Windows:
Total MEMORY difference: 57124679 / 57124391 [+0.00%]
Total CPU difference: 18183.538960398608 / 18512.045866198645 [-1.77%]
(0064506)
git (administrator)
2017-03-20 14:36

Branch CR28360_3 has been deleted by inv.

SHA-1: 1c7cd19c14276329744baef40f301a82a2b75ad3
(0064515)
git (administrator)
2017-03-20 14:36

Branch CR28360_2 has been deleted by inv.

SHA-1: 3fa7c344e4898063ab1da091a6b56f03230ce997
(0064518)
git (administrator)
2017-03-20 14:36

Branch CR28360_1 has been deleted by inv.

SHA-1: 133314c2455c5ecc637d7e54d23a7591d7709c9c
(0064519)
git (administrator)
2017-03-20 14:36

Branch CR28360 has been deleted by inv.

SHA-1: 9811a3fabb13e5a6e3469911ffdf2f7dde114a7f

- Related Changesets
occt: master e59839c8
Timestamp: 2017-02-03 09:13:43
Author: duv
Committer: apn
Details ] Diff ]
0028360: Draw Harness - access for DRAW TCL interpreter needed for custom applications

Components of DRAW now use interpreter with static method Draw::GetInterpretor() instead of shared global variable
mod - src/Draw/Draw.cxx Diff ] File ]
mod - src/Draw/Draw.hxx Diff ] File ]
mod - src/Draw/Draw_Debug.cxx Diff ] File ]
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-16 18:21 duv New Issue
2017-01-16 18:21 duv Assigned To => duv
2017-01-16 18:25 git Note Added: 0062648
2017-01-16 18:25 duv Note Added: 0062649
2017-01-16 18:25 duv Assigned To duv => kgv
2017-01-16 18:25 duv Status new => feedback
2017-01-16 18:47 kgv Note Added: 0062653
2017-01-16 18:47 kgv Assigned To kgv => duv
2017-01-16 18:47 kgv Status feedback => assigned
2017-01-16 18:47 kgv Severity minor => feature
2017-01-16 18:47 kgv Product Version 7.2.1 => 7.1.0
2017-01-16 18:47 kgv Note Edited: 0062653 View Revisions
2017-01-16 18:48 kgv Note Edited: 0062653 View Revisions
2017-01-17 08:30 abv Note Added: 0062669
2017-01-17 11:18 kgv Summary DRAW: Access for DRAW TCL interpreter needed for custom applications => Draw Harness - access for DRAW TCL interpreter needed for custom applications
2017-01-17 12:29 git Note Added: 0062692
2017-01-17 12:32 git Note Added: 0062693
2017-01-17 12:50 duv Note Added: 0062694
2017-01-17 12:50 duv Assigned To duv => kgv
2017-01-17 12:50 duv Status assigned => feedback
2017-01-17 13:23 kgv Note Added: 0062699
2017-01-17 13:23 kgv Assigned To kgv => duv
2017-01-17 13:23 kgv Status feedback => assigned
2017-01-20 14:32 git Note Added: 0062833
2017-01-20 14:34 duv Note Added: 0062834
2017-01-20 14:34 duv Assigned To duv => kgv
2017-01-20 14:34 duv Status assigned => resolved
2017-01-20 14:34 duv Steps to Reproduce Updated View Revisions
2017-01-20 16:34 kgv Note Added: 0062848
2017-01-20 16:34 kgv Assigned To kgv => duv
2017-01-20 16:34 kgv Status resolved => assigned
2017-02-03 12:30 git Note Added: 0063384
2017-02-03 12:32 kgv Note Added: 0063385
2017-02-03 12:32 kgv Assigned To duv => bugmaster
2017-02-03 12:32 kgv Status assigned => resolved
2017-02-03 12:32 kgv Status resolved => reviewed
2017-02-03 15:19 apv Assigned To bugmaster => apv
2017-02-03 17:13 git Note Added: 0063415
2017-02-03 17:14 apv Note Added: 0063416
2017-02-03 17:14 apv Test case number => Not needed
2017-02-06 15:56 apv Note Added: 0063462
2017-02-06 15:56 apv Assigned To apv => bugmaster
2017-02-06 15:56 apv Status reviewed => tested
2017-02-10 14:33 apn Changeset attached => occt master e59839c8
2017-02-10 14:33 apn Assigned To bugmaster => apn
2017-02-10 14:33 apn Status tested => verified
2017-02-10 14:33 apn Resolution open => fixed
2017-03-20 14:36 git Note Added: 0064506
2017-03-20 14:36 git Note Added: 0064515
2017-03-20 14:36 git Note Added: 0064518
2017-03-20 14:36 git Note Added: 0064519
2017-07-20 11:52 msv Relationship added has duplicate 0028359
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:28 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker